> For the complete documentation index, see [llms.txt](https://developer.jylo.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.jylo.ai/api-reference/playbooks/playbook-assembly-reference-conditions.md).

# Playbook Assembly Reference Conditions

## GET /playbooks/{playbookIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/conditions

> Get a paginated list of conditions for an assembly reference.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.Entities.PaginationList`1[[Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceConditions.Contracts.Responses.AssemblyReferenceConditionResponse, Jylo.PlaybookMarketplace.Services, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceConditions.Contracts.Responses.AssemblyReferenceConditionResponse"},"nullable":true},"totalCount":{"type":"integer","format":"int32"}},"additionalProperties":false},"Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceConditions.Contracts.Responses.AssemblyReferenceConditionResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"assemblyReferenceObjectIdentifier":{"type":"string","format":"uuid"},"isYes":{"type":"boolean","nullable":true},"fuzzyMatch":{"type":"boolean"},"minimumDecimalAnswer":{"type":"number","format":"double","nullable":true},"maximumDecimalAnswer":{"type":"number","format":"double","nullable":true},"textAnswer":{"type":"string","nullable":true},"allCategoriesMatch":{"type":"boolean"},"decimalAnswer":{"type":"number","format":"double","nullable":true},"decimalOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"dateOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"dateAnswer":{"type":"string","format":"date-time","nullable":true},"playbookPromptConditionIdentifier":{"type":"string","format":"uuid"},"targetPromptObjectIdentifier":{"type":"string","format":"uuid"},"categoryConditions":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceCategoryConditions.Contracts.Responses.AssemblyReferenceCategoryConditionResponse"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.RangeComparisonOperator":{"enum":["equal","greaterThan","lessThan","greaterThanOrEqual","lessThanOrEqual","range"],"type":"string"},"Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceCategoryConditions.Contracts.Responses.AssemblyReferenceCategoryConditionResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"assemblyReferenceConditionObjectIdentifier":{"type":"string","format":"uuid"},"fuzzyMatch":{"type":"boolean"},"text":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/conditions":{"get":{"tags":["Playbook Assembly Reference Conditions"],"summary":"Get a paginated list of conditions for an assembly reference.","parameters":[{"name":"referenceObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"page","in":"query","schema":{"type":"integer","format":"int32","default":1}},{"name":"pageSize","in":"query","schema":{"type":"integer","format":"int32","default":20}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"assemblyObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.PaginationList`1[[Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceConditions.Contracts.Responses.AssemblyReferenceConditionResponse, Jylo.PlaybookMarketplace.Services, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.PaginationList`1[[Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceConditions.Contracts.Responses.AssemblyReferenceConditionResponse, Jylo.PlaybookMarketplace.Services, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.PaginationList`1[[Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceConditions.Contracts.Responses.AssemblyReferenceConditionResponse, Jylo.PlaybookMarketplace.Services, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## POST /playbooks/{playbookIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/conditions

> Create a new condition for an assembly reference. Category conditions may be created alongside it.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceConditions.Contracts.Requests.CreateAssemblyReferenceConditionRequest":{"type":"object","properties":{"isYes":{"type":"boolean","nullable":true},"fuzzyMatch":{"type":"boolean"},"minimumDecimalAnswer":{"type":"number","format":"double","nullable":true},"maximumDecimalAnswer":{"type":"number","format":"double","nullable":true},"textAnswer":{"type":"string","nullable":true},"allCategoriesMatch":{"type":"boolean"},"decimalAnswer":{"type":"number","format":"double","nullable":true},"decimalOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"dateOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"dateAnswer":{"type":"string","format":"date-time","nullable":true},"playbookPromptConditionIdentifier":{"type":"string","format":"uuid"},"targetPromptObjectIdentifier":{"type":"string","format":"uuid"},"categoryConditions":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceCategoryConditions.Contracts.Requests.CreateAssemblyReferenceCategoryConditionRequest"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.RangeComparisonOperator":{"enum":["equal","greaterThan","lessThan","greaterThanOrEqual","lessThanOrEqual","range"],"type":"string"},"Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceCategoryConditions.Contracts.Requests.CreateAssemblyReferenceCategoryConditionRequest":{"required":["text"],"type":"object","properties":{"fuzzyMatch":{"type":"boolean"},"text":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceConditions.Contracts.Responses.AssemblyReferenceConditionResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"assemblyReferenceObjectIdentifier":{"type":"string","format":"uuid"},"isYes":{"type":"boolean","nullable":true},"fuzzyMatch":{"type":"boolean"},"minimumDecimalAnswer":{"type":"number","format":"double","nullable":true},"maximumDecimalAnswer":{"type":"number","format":"double","nullable":true},"textAnswer":{"type":"string","nullable":true},"allCategoriesMatch":{"type":"boolean"},"decimalAnswer":{"type":"number","format":"double","nullable":true},"decimalOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"dateOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"dateAnswer":{"type":"string","format":"date-time","nullable":true},"playbookPromptConditionIdentifier":{"type":"string","format":"uuid"},"targetPromptObjectIdentifier":{"type":"string","format":"uuid"},"categoryConditions":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceCategoryConditions.Contracts.Responses.AssemblyReferenceCategoryConditionResponse"},"nullable":true}},"additionalProperties":false},"Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceCategoryConditions.Contracts.Responses.AssemblyReferenceCategoryConditionResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"assemblyReferenceConditionObjectIdentifier":{"type":"string","format":"uuid"},"fuzzyMatch":{"type":"boolean"},"text":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/conditions":{"post":{"tags":["Playbook Assembly Reference Conditions"],"summary":"Create a new condition for an assembly reference. Category conditions may be created alongside it.","parameters":[{"name":"referenceObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"assemblyObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceConditions.Contracts.Requests.CreateAssemblyReferenceConditionRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceConditions.Contracts.Requests.CreateAssemblyReferenceConditionRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceConditions.Contracts.Requests.CreateAssemblyReferenceConditionRequest"}}}},"responses":{"201":{"description":"Created","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceConditions.Contracts.Responses.AssemblyReferenceConditionResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceConditions.Contracts.Responses.AssemblyReferenceConditionResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceConditions.Contracts.Responses.AssemblyReferenceConditionResponse"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## GET /playbooks/{playbookIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/conditions/{objectIdentifier}

> Get a specific condition by object identifier.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceConditions.Contracts.Responses.AssemblyReferenceConditionResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"assemblyReferenceObjectIdentifier":{"type":"string","format":"uuid"},"isYes":{"type":"boolean","nullable":true},"fuzzyMatch":{"type":"boolean"},"minimumDecimalAnswer":{"type":"number","format":"double","nullable":true},"maximumDecimalAnswer":{"type":"number","format":"double","nullable":true},"textAnswer":{"type":"string","nullable":true},"allCategoriesMatch":{"type":"boolean"},"decimalAnswer":{"type":"number","format":"double","nullable":true},"decimalOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"dateOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"dateAnswer":{"type":"string","format":"date-time","nullable":true},"playbookPromptConditionIdentifier":{"type":"string","format":"uuid"},"targetPromptObjectIdentifier":{"type":"string","format":"uuid"},"categoryConditions":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceCategoryConditions.Contracts.Responses.AssemblyReferenceCategoryConditionResponse"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.RangeComparisonOperator":{"enum":["equal","greaterThan","lessThan","greaterThanOrEqual","lessThanOrEqual","range"],"type":"string"},"Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceCategoryConditions.Contracts.Responses.AssemblyReferenceCategoryConditionResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"assemblyReferenceConditionObjectIdentifier":{"type":"string","format":"uuid"},"fuzzyMatch":{"type":"boolean"},"text":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/conditions/{objectIdentifier}":{"get":{"tags":["Playbook Assembly Reference Conditions"],"summary":"Get a specific condition by object identifier.","parameters":[{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"assemblyObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"referenceObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceConditions.Contracts.Responses.AssemblyReferenceConditionResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceConditions.Contracts.Responses.AssemblyReferenceConditionResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceConditions.Contracts.Responses.AssemblyReferenceConditionResponse"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## PUT /playbooks/{playbookIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/conditions/{objectIdentifier}

> Update an existing condition. Category conditions are managed through their own endpoints.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceConditions.Contracts.Requests.UpdateAssemblyReferenceConditionRequest":{"type":"object","properties":{"isYes":{"type":"boolean","nullable":true},"fuzzyMatch":{"type":"boolean"},"minimumDecimalAnswer":{"type":"number","format":"double","nullable":true},"maximumDecimalAnswer":{"type":"number","format":"double","nullable":true},"textAnswer":{"type":"string","nullable":true},"allCategoriesMatch":{"type":"boolean"},"decimalAnswer":{"type":"number","format":"double","nullable":true},"decimalOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"dateOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"dateAnswer":{"type":"string","format":"date-time","nullable":true},"playbookPromptConditionIdentifier":{"type":"string","format":"uuid"},"targetPromptObjectIdentifier":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.Constants.RangeComparisonOperator":{"enum":["equal","greaterThan","lessThan","greaterThanOrEqual","lessThanOrEqual","range"],"type":"string"},"Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceConditions.Contracts.Responses.AssemblyReferenceConditionResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"assemblyReferenceObjectIdentifier":{"type":"string","format":"uuid"},"isYes":{"type":"boolean","nullable":true},"fuzzyMatch":{"type":"boolean"},"minimumDecimalAnswer":{"type":"number","format":"double","nullable":true},"maximumDecimalAnswer":{"type":"number","format":"double","nullable":true},"textAnswer":{"type":"string","nullable":true},"allCategoriesMatch":{"type":"boolean"},"decimalAnswer":{"type":"number","format":"double","nullable":true},"decimalOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"dateOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"dateAnswer":{"type":"string","format":"date-time","nullable":true},"playbookPromptConditionIdentifier":{"type":"string","format":"uuid"},"targetPromptObjectIdentifier":{"type":"string","format":"uuid"},"categoryConditions":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceCategoryConditions.Contracts.Responses.AssemblyReferenceCategoryConditionResponse"},"nullable":true}},"additionalProperties":false},"Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceCategoryConditions.Contracts.Responses.AssemblyReferenceCategoryConditionResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"assemblyReferenceConditionObjectIdentifier":{"type":"string","format":"uuid"},"fuzzyMatch":{"type":"boolean"},"text":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/conditions/{objectIdentifier}":{"put":{"tags":["Playbook Assembly Reference Conditions"],"summary":"Update an existing condition. Category conditions are managed through their own endpoints.","parameters":[{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"assemblyObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"referenceObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceConditions.Contracts.Requests.UpdateAssemblyReferenceConditionRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceConditions.Contracts.Requests.UpdateAssemblyReferenceConditionRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceConditions.Contracts.Requests.UpdateAssemblyReferenceConditionRequest"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceConditions.Contracts.Responses.AssemblyReferenceConditionResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceConditions.Contracts.Responses.AssemblyReferenceConditionResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.AssemblyReferenceConditions.Contracts.Responses.AssemblyReferenceConditionResponse"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## DELETE /playbooks/{playbookIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/conditions/{objectIdentifier}

> Delete a condition from an assembly reference.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/conditions/{objectIdentifier}":{"delete":{"tags":["Playbook Assembly Reference Conditions"],"summary":"Delete a condition from an assembly reference.","parameters":[{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"assemblyObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"referenceObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.jylo.ai/api-reference/playbooks/playbook-assembly-reference-conditions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
